> For the complete documentation index, see [llms.txt](https://carpool.gitbook.io/carpool/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://carpool.gitbook.io/carpool/api-reference/instructions/get_instructions_in_transaction.md).

# GET\_INSTRUCTIONS\_IN\_TRANSACTION

## Overview

*This method will return instruction data within an associated transaction. Running with only required body params will return all relevant instructions. Feel free to make use of all non-required body params for more advanced queries. Refer to the Body "Schema" tab for help.*

{% openapi src="/files/khUY1P9MS4ZWlYEqWRah" path="/query/solana" method="post" %}
[Carpool\_dev-GET\_INSTRUCTIONS\_IN\_TRANSACTION-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2FnmnDpSPkWs6cCuq9TL7a%2FCarpool_dev-GET_INSTRUCTIONS_IN_TRANSACTION-0.1-resolved.json?alt=media\&token=962dde79-79e5-44e2-b946-7188042114cf)
{% endopenapi %}

## Example - Basic

**Program** - *Cypher Protocol*

**Description** *- Get all instructions in tx hash: 2FYr...sRe9*&#x20;

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_INSTRUCTIONS_IN_TRANSACTION",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "txSignature": "2FYrQaKkVBvaBtDwTgjx1oQtaxAShqjiWtAXREz2Vf2oeBBwZnb9paSKxvjTEToyqmM1YXi2CxpG5H6WmHy8sRe9"
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_INSTRUCTIONS_IN_TRANSACTION",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "txSignature": "2FYrQaKkVBvaBtDwTgjx1oQtaxAShqjiWtAXREz2Vf2oeBBwZnb9paSKxvjTEToyqmM1YXi2CxpG5H6WmHy8sRe9"
    }
}'
```

## Example - Advanced

**Program** - *Cypher Protocol*

**Description** *- Get all instructions for tx hash: 2FYr...sRe9, returning only the specified fields in the response body. Return up to 20 results if they exist and do not include failed instructions.*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_INSTRUCTIONS_IN_TRANSACTION",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "instructionName": "",
    "txSignature": "2FYrQaKkVBvaBtDwTgjx1oQtaxAShqjiWtAXREz2Vf2oeBBwZnb9paSKxvjTEToyqmM1YXi2CxpG5H6WmHy8sRe9",
    "timeRange": {
      "before": "",
      "after": ""
    },
    "failures": false,
    "fields": [
      "txSignature",
      "slot",
      "args",
      "logs"
    ],
    "sort": {
      "order": "desc"
    },
    "pagination": {
      "limit": 20,
      "offset": 0
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_INSTRUCTIONS_IN_TRANSACTION",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "instructionName": "",
        "txSignature": "2FYrQaKkVBvaBtDwTgjx1oQtaxAShqjiWtAXREz2Vf2oeBBwZnb9paSKxvjTEToyqmM1YXi2CxpG5H6WmHy8sRe9",
        "timeRange": {
            "before": "",
            "after": ""
        },
        "failures": false,
        "fields": ["txSignature", "slot", "args", "logs"],
        "sort": {
            "order": "desc"
        },
        "pagination": {
            "limit": 20,
            "offset": 0
        }
    }
}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/instructions/get_instructions_in_transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
